version: "3.5"

services:

  postgres:
    image: postgres:12.3-alpine
    command: ["postgres", "-c", "log_statement=all"]
    environment:
      - "POSTGRES_DB=postgres"
      - "POSTGRES_USER=postgres"
      - "POSTGRES_PASSWORD=12345"
    ports:
      - "5432:5432"

  mysql:
    image: mysql:8.0.20
    command: ["mysqld", "--general-log=1", "--general-log-file=/var/lib/mysql/general-log.log"]
    environment:
      - "MYSQL_DATABASE=root"
      - "MYSQL_ROOT_PASSWORD=12345"
    ports:
      - "3306:3306"

  mssql:
    image: mcr.microsoft.com/mssql/server:2019-latest
    environment:
      - "ACCEPT_EULA=Y"
      - "MSSQL_PID=Developer"
      - "SA_PASSWORD=P@ssw0rd!"
    ports:
      - "1433:1433"
